Summary: CU Decision Diagram
Name: cudd
Version: 2.4.1
Release: 1%{?dist}
License: BSD
Group: Development/Libraries
Source: ftp://vlsi.colorado.edu/pub/cudd-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
URL: http://vlsi.colorado.edu/~fabio/CUDD/
Patch: cudd-2.4.1-NuSMV.patch
ExclusiveArch: i686 x86_64
Provides: cudd-NuSMV

%description
The CUDD package provides functions to manipulate Binary Decision Diagrams (BDDs), Algebraic Decision Diagrams (ADDs), and Zero-suppressed Binary Decision Diagrams (ZDDs). BDDs are used to represent switching functions; ADDs are used to represent function from $\{0,1\}^n$ to an arbitrary set. ZDDs represent switching functions like BDDs; however, they are much more efficient than BDDs when the functions to be represented are characteristic functions of cube sets, or in general, when the ON-set of the function to be represented is very sparse. They are inferior to BDDs in other cases.

The package provides a large set of operations on BDDs, ADDs, and ZDDs, functions to convert BDDs into ADDs or ZDDs and vice versa, and a large assortment of variable reordering methods. 

%prep
%setup -q
%patch -p1 -b .NuSMV

%build
%ifarch i686
make XCFLAGS="-march=i686 -malign-double -DHAVE_IEEE_754 -DBSD -DSIZEOF_VOID_P=4 -DSIZEOF_LONG=4 -DSIZEOF_INT=4"
%endif
%ifarch x86_64
make XCFLAGS="-DHAVE_IEEE_754 -DBSD -DSIZEOF_VOID_P=8 -DSIZEOF_LONG=8 -DSIZEOF_INT=4"
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_includedir}/cudd $RPM_BUILD_ROOT%{_libdir}
install -m 644 include/* $RPM_BUILD_ROOT%{_includedir}/cudd
install -m 644 lib/* $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_includedir}/cudd
%{_libdir}/*
